r3132 - in jhalfs/branches/experimental/common: . blfs-tool-deps

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Sun Sep 17 04:40:38 PDT 2006


Author: manuel
Date: 2006-09-17 05:40:37 -0600 (Sun, 17 Sep 2006)
New Revision: 3132

Added:
   jhalfs/branches/experimental/common/blfs-tool-deps/906-docbook-xsl
   jhalfs/branches/experimental/common/blfs-tool-deps/907-gpm
   jhalfs/branches/experimental/common/blfs-tool-deps/908-links
   jhalfs/branches/experimental/common/blfs-tool-deps/909-sudo
   jhalfs/branches/experimental/common/blfs-tool-deps/910-wget
   jhalfs/branches/experimental/common/blfs-tool-deps/911-subversion
Removed:
   jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl
   jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm
   jhalfs/branches/experimental/common/blfs-tool-deps/905-links
   jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo
   jhalfs/branches/experimental/common/blfs-tool-deps/907-wget
   jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion
Modified:
   jhalfs/branches/experimental/common/common-functions
Log:
Making place for missing BLFS_TOOL dependencies


Deleted: jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl	2006-09-17 11:34:58 UTC (rev 3131)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl	2006-09-17 11:40:37 UTC (rev 3132)
@@ -1,38 +0,0 @@
-#!/bin/sh
-
-# $Id$
-
-set -e
-
-install -v -m755 -d /usr/share/xml/docbook/xsl-stylesheets-1.69.1
-cp -v -R VERSION common eclipse extensions fo html \
-         htmlhelp images javahelp lib manpages params \
-         profiling slides template website xhtml \
-    /usr/share/xml/docbook/xsl-stylesheets-1.69.1
-
-if [ ! -d /etc/xml ]; then install -v -m755 -d /etc/xml; fi
-if [ ! -f /etc/xml/catalog ]; then
-    xmlcatalog --noout --create /etc/xml/catalog
-fi
-
-xmlcatalog --noout --add "rewriteSystem" \
-           "http://docbook.sourceforge.net/release/xsl/1.69.1" \
-           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
-    /etc/xml/catalog
-
-xmlcatalog --noout --add "rewriteURI" \
-           "http://docbook.sourceforge.net/release/xsl/1.69.1" \
-           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
-    /etc/xml/catalog
-
-xmlcatalog --noout --add "rewriteSystem" \
-           "http://docbook.sourceforge.net/release/xsl/current" \
-           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
-    /etc/xml/catalog
-
-xmlcatalog --noout --add "rewriteURI" \
-           "http://docbook.sourceforge.net/release/xsl/current" \
-           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
-    /etc/xml/catalog
-
-exit

Deleted: jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm	2006-09-17 11:34:58 UTC (rev 3131)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm	2006-09-17 11:40:37 UTC (rev 3132)
@@ -1,15 +0,0 @@
-#!/bin/sh
-
-# $Id$
-
-set -e
-
-patch -Np1 -i ../gpm-1.20.1-segfault-1.patch
-patch -Np1 -i ../gpm-1.20.1-silent-1.patch
-./configure --prefix=/usr --sysconfdir=/etc
-LDFLAGS="$LDFLAGS -lm" make
-make install
-cp -v conf/gpm-root.conf /etc
-ldconfig
-
-exit

Deleted: jhalfs/branches/experimental/common/blfs-tool-deps/905-links
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/905-links	2006-09-17 11:34:58 UTC (rev 3131)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/905-links	2006-09-17 11:40:37 UTC (rev 3132)
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-# $Id$
-
-set -e
-
-./configure --prefix=/usr
-make CFLAGS="-O2 -Wno-sign-compare -Wno-pointer-sign"
-make install
-
-exit

Copied: jhalfs/branches/experimental/common/blfs-tool-deps/906-docbook-xsl (from rev 3129, jhalfs/branches/experimental/common/blfs-tool-deps/903-docbook-xsl)
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/906-docbook-xsl	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/906-docbook-xsl	2006-09-17 11:40:37 UTC (rev 3132)
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+install -v -m755 -d /usr/share/xml/docbook/xsl-stylesheets-1.69.1
+cp -v -R VERSION common eclipse extensions fo html \
+         htmlhelp images javahelp lib manpages params \
+         profiling slides template website xhtml \
+    /usr/share/xml/docbook/xsl-stylesheets-1.69.1
+
+if [ ! -d /etc/xml ]; then install -v -m755 -d /etc/xml; fi
+if [ ! -f /etc/xml/catalog ]; then
+    xmlcatalog --noout --create /etc/xml/catalog
+fi
+
+xmlcatalog --noout --add "rewriteSystem" \
+           "http://docbook.sourceforge.net/release/xsl/1.69.1" \
+           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
+    /etc/xml/catalog
+
+xmlcatalog --noout --add "rewriteURI" \
+           "http://docbook.sourceforge.net/release/xsl/1.69.1" \
+           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
+    /etc/xml/catalog
+
+xmlcatalog --noout --add "rewriteSystem" \
+           "http://docbook.sourceforge.net/release/xsl/current" \
+           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
+    /etc/xml/catalog
+
+xmlcatalog --noout --add "rewriteURI" \
+           "http://docbook.sourceforge.net/release/xsl/current" \
+           "/usr/share/xml/docbook/xsl-stylesheets-1.69.1" \
+    /etc/xml/catalog
+
+exit

Deleted: jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo	2006-09-17 11:34:58 UTC (rev 3131)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo	2006-09-17 11:40:37 UTC (rev 3132)
@@ -1,14 +0,0 @@
-#!/bin/sh
-
-# $Id$
-
-set -e
-
-patch -Np1 -i ../sudo-1.6.8p12-envvar_fix-1.patch
-./configure --prefix=/usr --libexecdir=/usr/lib \
-    --enable-noargs-shell --with-ignore-dot --with-all-insults \
-    --enable-shell-sets-home
-make
-make install
-
-exit

Copied: jhalfs/branches/experimental/common/blfs-tool-deps/907-gpm (from rev 3129, jhalfs/branches/experimental/common/blfs-tool-deps/904-gpm)
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/907-gpm	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/907-gpm	2006-09-17 11:40:37 UTC (rev 3132)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+patch -Np1 -i ../gpm-1.20.1-segfault-1.patch
+patch -Np1 -i ../gpm-1.20.1-silent-1.patch
+./configure --prefix=/usr --sysconfdir=/etc
+LDFLAGS="$LDFLAGS -lm" make
+make install
+cp -v conf/gpm-root.conf /etc
+ldconfig
+
+exit

Deleted: jhalfs/branches/experimental/common/blfs-tool-deps/907-wget
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/907-wget	2006-09-17 11:34:58 UTC (rev 3131)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/907-wget	2006-09-17 11:40:37 UTC (rev 3132)
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-# $Id$
-
-set -e
-
-./configure --prefix=/usr --sysconfdir=/etc
-make
-make install
-
-exit

Copied: jhalfs/branches/experimental/common/blfs-tool-deps/908-links (from rev 3129, jhalfs/branches/experimental/common/blfs-tool-deps/905-links)
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/908-links	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/908-links	2006-09-17 11:40:37 UTC (rev 3132)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+./configure --prefix=/usr
+make CFLAGS="-O2 -Wno-sign-compare -Wno-pointer-sign"
+make install
+
+exit

Deleted: jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion	2006-09-17 11:34:58 UTC (rev 3131)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion	2006-09-17 11:40:37 UTC (rev 3132)
@@ -1,18 +0,0 @@
-#!/bin/sh
-
-# $Id$
-
-set -e
-
-./configure --prefix=/usr \
-            --without-berkeley-db \
-            --with-installbuilddir=/usr/lib/apr-0
-make
-make install
-rm doc/{Makefile,doxygen.conf}
-find doc -type d -exec chmod 755 {} \;
-find doc -type f -exec chmod 644 {} \;
-install -v -m755 -d /usr/share/doc/subversion-1.3.1
-cp -v -R doc/* /usr/share/doc/subversion-1.3.1
-
-exit

Copied: jhalfs/branches/experimental/common/blfs-tool-deps/909-sudo (from rev 3129, jhalfs/branches/experimental/common/blfs-tool-deps/906-sudo)
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/909-sudo	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/909-sudo	2006-09-17 11:40:37 UTC (rev 3132)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+patch -Np1 -i ../sudo-1.6.8p12-envvar_fix-1.patch
+./configure --prefix=/usr --libexecdir=/usr/lib \
+    --enable-noargs-shell --with-ignore-dot --with-all-insults \
+    --enable-shell-sets-home
+make
+make install
+
+exit

Copied: jhalfs/branches/experimental/common/blfs-tool-deps/910-wget (from rev 3129, jhalfs/branches/experimental/common/blfs-tool-deps/907-wget)
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/910-wget	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/910-wget	2006-09-17 11:40:37 UTC (rev 3132)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+./configure --prefix=/usr --sysconfdir=/etc
+make
+make install
+
+exit

Copied: jhalfs/branches/experimental/common/blfs-tool-deps/911-subversion (from rev 3129, jhalfs/branches/experimental/common/blfs-tool-deps/908-subversion)
===================================================================
--- jhalfs/branches/experimental/common/blfs-tool-deps/911-subversion	                        (rev 0)
+++ jhalfs/branches/experimental/common/blfs-tool-deps/911-subversion	2006-09-17 11:40:37 UTC (rev 3132)
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# $Id$
+
+set -e
+
+./configure --prefix=/usr \
+            --without-berkeley-db \
+            --with-installbuilddir=/usr/lib/apr-0
+make
+make install
+rm doc/{Makefile,doxygen.conf}
+find doc -type d -exec chmod 755 {} \;
+find doc -type f -exec chmod 644 {} \;
+install -v -m755 -d /usr/share/doc/subversion-1.3.1
+cp -v -R doc/* /usr/share/doc/subversion-1.3.1
+
+exit

Modified: jhalfs/branches/experimental/common/common-functions
===================================================================
--- jhalfs/branches/experimental/common/common-functions	2006-09-17 11:34:58 UTC (rev 3131)
+++ jhalfs/branches/experimental/common/common-functions	2006-09-17 11:40:37 UTC (rev 3132)
@@ -542,6 +542,9 @@
 cat << EOF
 $LIBXML_PKG
 $LIBXSLT_PKG
+$TIDY_PKG
+$UNZIP_PKG
+$DBXML_PKG
 $DBXSL_PKG
 $LINKS_PKG
 $SUDO_PKG
@@ -743,6 +746,19 @@
     echo "${LIBXSLT_URL} ${BLFS_SERVER}libxslt/${LIBXSLT_PKG} ${LIBXSLT_MD5}" >> urls.lst
   fi
 
+  if [[ "${DEP_TIDY}" = "y" ]] ; then
+    echo "${TIDY_URL} ${BLFS_SERVER}tidy/${TIDY_PKG} ${TIDY_MD5}" >> urls.lst
+    echo "${TIDY_PATCH_URL} ${BLFS_SERVER}tidy/${TIDY_PATCH} ${TIDY_PATCH_MD5}" >> urls.lst
+  fi
+
+  if [[ "${DEP_UNZIP}" = "y" ]] ; then
+    echo "${UNZIP_URL} ${BLFS_SERVER}unzip/${UNZIP_PKG} ${UNZIP_MD5}" >> urls.lst
+  fi
+
+  if [[ "${DEP_DBXML}" = "y" ]] ; then
+    echo "${DBXML_URL} ${BLFS_SERVER}docbook/${DBXML_PKG} ${DBXML_MD5}" >> urls.lst
+  fi
+
   if [[ "${DEP_DBXSL}" = "y" ]] ; then
     echo "${DBXSL_URL} ${BLFS_SERVER}docbook-xsl/${DBXSL_PKG} ${DBXSL_MD5}" >> urls.lst
   fi
@@ -787,27 +803,27 @@
   fi
 
   if [[ "${DEP_DBXSL}" = "y" ]] ; then
-    mv blfs-tool-deps/903-docbook-xsl ${PROGNAME}-commands/blfs-tool-deps
+    mv blfs-tool-deps/906-docbook-xsl ${PROGNAME}-commands/blfs-tool-deps
   fi
 
   if [[ "${DEP_LINKS}" = "y" ]] ; then
-    mv blfs-tool-deps/905-links ${PROGNAME}-commands/blfs-tool-deps
+    mv blfs-tool-deps/908-links ${PROGNAME}-commands/blfs-tool-deps
   fi
 
   if [[ "${DEP_SUDO}" = "y" ]] ; then
-    mv blfs-tool-deps/906-sudo ${PROGNAME}-commands/blfs-tool-deps
+    mv blfs-tool-deps/909-sudo ${PROGNAME}-commands/blfs-tool-deps
   fi
 
   if [[ "${DEP_WGET}" = "y" ]] ; then
-    mv blfs-tool-deps/907-wget ${PROGNAME}-commands/blfs-tool-deps
+    mv blfs-tool-deps/910-wget ${PROGNAME}-commands/blfs-tool-deps
   fi
 
   if [[ "${DEP_SVN}" = "y" ]] ; then
-    mv blfs-tool-deps/908-subversion ${PROGNAME}-commands/blfs-tool-deps
+    mv blfs-tool-deps/911-subversion ${PROGNAME}-commands/blfs-tool-deps
   fi
 
   if [[ "${DEP_GPM}" = "y" ]] ; then
-    mv blfs-tool-deps/904-gpm ${PROGNAME}-commands/blfs-tool-deps
+    mv blfs-tool-deps/907-gpm ${PROGNAME}-commands/blfs-tool-deps
   fi
 
   rm -rf blfs-tool-deps




More information about the alfs-log mailing list